> ## Documentation Index
> Fetch the complete documentation index at: https://developers.scrunch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive Prompt

> Archives a prompt (soft delete). The prompt will no longer be tracked but historical data is preserved. Requires the `configure` scope.



## OpenAPI

````yaml /api-reference/openapi.json delete /{brand_id}/prompts/{prompt_id}
openapi: 3.1.0
info:
  title: Scrunch Data API
  version: 0.1.0
servers:
  - url: https://api.scrunchai.com/v1
security: []
paths:
  /{brand_id}/prompts/{prompt_id}:
    delete:
      summary: Archive Prompt
      description: >-
        Archives a prompt (soft delete). The prompt will no longer be tracked
        but historical data is preserved. Requires the `configure` scope.
      operationId: archivePrompt
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: integer
            description: The unique identifier for the brand
            title: Brand Id
          description: The unique identifier for the brand
        - name: prompt_id
          in: path
          required: true
          schema:
            type: integer
            description: The unique identifier for the prompt to archive
            title: Prompt Id
          description: The unique identifier for the prompt to archive
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer:
            - configure
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````